## org.eclipse.emf.edit.provider
Class ItemProviderAdapter.ModifiableSingletonEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, EList<E>

Enclosing class:
  ItemProviderAdapter

    protected static class ItemProviderAdapter.ModifiableSingletonEList<E>

extends java.util.AbstractList<E>
implements EList<E>

A single-element implementation of `EList`. The element can be modified, but the size of the list may not be changed.

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`boolean` `contains(java.lang.Object o)`
`E` `get(int index)`
`void` `move(int index, E o)` Moves the object to the new position, if is in the list.
`E` `move(int targetIndex, int sourceIndex)` Moves the object from the old position to the new position.
`E` `set(int index, E element)`
`int` `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, subList, toArray, toArray`

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`
  Specified by:
    `size` in interface `java.util.List<E>`
  Specified by:
    `size` in class `java.util.AbstractCollection<E>`

### get

    public E get(int index)

  Specified by:
    `get` in interface `java.util.List<E>`
  Specified by:
    `get` in class `java.util.AbstractList<E>`

### set

    public E set(int index,
                 E element)

  Specified by:
    `set` in interface `java.util.List<E>`
  Overrides:
    `set` in class `java.util.AbstractList<E>`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection<E>`
  Specified by:
    `contains` in interface `java.util.List<E>`
  Overrides:
    `contains` in class `java.util.AbstractCollection<E>`

### move

    public void move(int index,
                     E o)

  Description copied from interface: `EList`
  Moves the object to the new position, if is in the list.

  Specified by:
    `move` in interface `EList<E>`
  Parameters:
    `index` - the position of the object after the move.
    `o` - the object to move.

### move

    public E move(int targetIndex,
                  int sourceIndex)

  Description copied from interface: `EList`
  Moves the object from the old position to the new position.

  Specified by:
    `move` in interface `EList<E>`
  Parameters:
    `targetIndex` - the position of the object after the move.
    `sourceIndex` - the position of the object before the move.
  Returns:
    the moved object.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.